[Swift-commit] r7330 - trunk/tests/functions

davidk at ci.uchicago.edu davidk at ci.uchicago.edu
Mon Nov 25 10:33:21 CST 2013


Author: davidk
Date: 2013-11-25 10:33:20 -0600 (Mon, 25 Nov 2013)
New Revision: 7330

Modified:
   trunk/tests/functions/400-fprintf.check.sh
   trunk/tests/functions/450-tracef.check.sh
Log:
Fixes for leading whitespace causing failures


Modified: trunk/tests/functions/400-fprintf.check.sh
===================================================================
--- trunk/tests/functions/400-fprintf.check.sh	2013-11-25 16:01:53 UTC (rev 7329)
+++ trunk/tests/functions/400-fprintf.check.sh	2013-11-25 16:33:20 UTC (rev 7330)
@@ -7,7 +7,7 @@
 
 grep hello 400-fprintf-1.out || exit 1
 
-LINES=$( wc -l 400-fprintf-2.out | cut -d ' ' -f 1 )
+LINES=$( wc -l 400-fprintf-2.out | sed 's/^[ \t]*//' | cut -d ' ' -f 1 )
 (( ${LINES} == 3 )) || exit 1
 
 grep "hello: 32" 400-fprintf-3.out || exit 1

Modified: trunk/tests/functions/450-tracef.check.sh
===================================================================
--- trunk/tests/functions/450-tracef.check.sh	2013-11-25 16:01:53 UTC (rev 7329)
+++ trunk/tests/functions/450-tracef.check.sh	2013-11-25 16:33:20 UTC (rev 7330)
@@ -10,6 +10,6 @@
 grep "pointer:.*Closed"        450-tracef.stdout || exit 1
 
 [[ $( grep -c "WORD" 450-tracef.stdout ) == 2 ]] || exit 1
-[[ $( grep -o '\<WORD\>' 450-tracef.stdout | wc -l ) == 4 ]] || exit 1
+[[ $( grep -o '\<WORD\>' 450-tracef.stdout | wc -l | sed 's/^[ \t]*//' ) == 4 ]] || exit 1
 
 exit 0




More information about the Swift-commit mailing list